summaryrefslogtreecommitdiff
path: root/pcr/perl-iptables-parse
diff options
context:
space:
mode:
authoraurelien <tek@localhost.localdomain>2012-11-13 17:00:03 +0100
committeraurelien <tek@localhost.localdomain>2012-11-13 17:00:03 +0100
commitcf319581703bfe2836e7df909dd5f9c0ab0d54e5 (patch)
tree43f3f7b82a28ea3440929e83da45f82968c3ba2c /pcr/perl-iptables-parse
parent5ae2d0f4bb7b2d29aca46139292207252616ac1f (diff)
version i686 of the build of end of October 201
Diffstat (limited to 'pcr/perl-iptables-parse')
-rw-r--r--pcr/perl-iptables-parse/PKGBUILD22
1 files changed, 22 insertions, 0 deletions
diff --git a/pcr/perl-iptables-parse/PKGBUILD b/pcr/perl-iptables-parse/PKGBUILD
new file mode 100644
index 000000000..94fe8e17a
--- /dev/null
+++ b/pcr/perl-iptables-parse/PKGBUILD
@@ -0,0 +1,22 @@
+# Contributor: Weirch Sodora <sodora@gmail.com>
+# Maintainer : Parabola GNU / Linux-libre Aurelien Desbrieres <aurelien@cwb.io>
+
+pkgname=perl-iptables-parse
+pkgver=1.1
+pkgrel=1
+pkgdesc="IPTables::Parse - Perl extension for parsing iptables and ip6tables firewall rulesets"
+arch=('i686' 'x86_64')
+url="http://search.cpan.org/~mrash/IPTables-Parse/"
+license=('GPL' 'PerlArtistic')
+depends=('perl' 'iptables')
+options=('!emptydirs')
+source=(http://search.cpan.org/CPAN/authors/id/M/MR/MRASH/IPTables-Parse-$pkgver.tar.gz)
+
+build() {
+ cd $startdir/src/IPTables-Parse-$pkgver
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make || return 1
+ make install DESTDIR=$startdir/pkg || return 1
+ find $startdir/pkg -name '.packlist' -delete
+ find $startdir/pkg -name '*.pod' -delete
+}